org.h2.util.json

## Class JSONValue

- java.lang.Object
- - org.h2.util.json.JSONValue

Direct Known Subclasses:
  JSONArray, JSONBoolean, JSONNull, JSONNumber, JSONObject, JSONString

    public abstract class JSONValue
    extends java.lang.Object

JSON value.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `addTo(JSONTarget<?> target)` Appends this value to the specified target.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### addTo

    public abstract void addTo(JSONTarget<?> target)

Appends this value to the specified target.

Parameters:
  `target` - the target

#### toString

    public final java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`